import type { Rejection, StateParams, TransitionService } from '@uirouter/core';
import type { IScope } from 'angular';
export interface IMainConfig {
    field: string;
    label: string;
}
export interface ISectionConfig {
    title: string;
}
export interface IDetailsConfig {
    title: string;
    nameParam?: string;
    accountParam?: string;
    regionParam?: string;
}
export interface IStatePageData {
    pageTitleMain?: IMainConfig;
    pageTitleSection?: ISectionConfig;
    pageTitleDetails?: IDetailsConfig;
}
export interface IPageDataParts {
    main: string;
    section: string;
    details: string;
}
export declare class PageTitleService {
    private $rootScope;
    private $stateParams;
    private previousPageTitle;
    private routeCount;
    static $inject: string[];
    constructor($rootScope: IScope, $stateParams: StateParams, $transitions: TransitionService);
    handleRoutingStart(): void;
    handleRoutingError(rejection: Rejection): void;
    handleRoutingSuccess(config: IStatePageData): void;
    resolveStateParams(config: IDetailsConfig): string;
    configureSection(sectionConfig: ISectionConfig): string;
    configureDetails(detailsConfig: IDetailsConfig): string;
    configureMain(mainConfig: IMainConfig): string;
    configurePageTitle(data?: IStatePageData): IPageDataParts;
    private setRoutingFlag;
}
export declare const PAGE_TITLE_SERVICE = "spinnaker.core.pageTitle.service";
